Skip to main content

Documentation Index

Fetch the complete documentation index at: https://usenaive.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

status
string
Filter by post status. One of draft, scheduled, publishing, published, failed.
limit
number
Number of posts to return (default 50, max 100).
offset
number
Number of posts to skip for pagination (default 0).
curl "https://api.usenaive.ai/v1/social/posts?status=published&limit=10&offset=0" \
  -H "Authorization: Bearer nv_sk_live_..."
{
  "posts": [
    {
      "id": "post-uuid",
      "title": "Announcing Naive v2",
      "content": "Excited to announce our new API...",
      "platforms": ["TWITTER", "LINKEDIN"],
      "platform_data": { "TWITTER": { "text": "Excited to announce our new API..." } },
      "upload_ids": null,
      "status": "published",
      "bundle_post_id": "bundle-uuid",
      "scheduled_at": null,
      "posted_at": "2026-05-01T12:00:05Z",
      "error": null,
      "analytics": null,
      "created_at": "2026-05-01T12:00:00Z",
      "updated_at": "2026-05-01T12:00:05Z"
    }
  ],
  "count": 1,
  "limit": 10,
  "offset": 0
}